import 'package:flutter/material.dart';
import 'package:rkm/config/color_palette.dart';
import 'package:rkm/config/const_variable.dart';
import 'package:rkm/widgets/text_default.dart';

class TitleContainers extends StatelessWidget {
  String title;
  double width;
  TextAlign textAling;

  TitleContainers({
    required this.title,
    this.width = double.infinity,
    this.textAling = TextAlign.center
});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: textAling!=TextAlign.center?EdgeInsets.all(10):ConstVariable().marginHightInput,
      width: width,
      color: ColorPalette.titleContainer,
      child: TextDefault(text: title,fontWeigth: FontWeight.bold,textAlign: textAling,color: ColorPalette.black54,),
    );
  }
}
